<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
if (!is_user()) {header('Location: /');} //Переадресация гостей
if (!is_admin(array(2,3,4))) {header('Location: /');} //Переадресация пользователей не являющихся админами
//Ещё одна проверка прав (на всякий случай)
if (is_admin(array(2,3,4))) {

$mod_name = 'Рекламный менеджер'; //Заголовок модуля
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$mod_name.'</div>'; //Вывод заголовка

$ads_name = filtr($_POST['name']); //Отфильтрованное название
$ads_link = filtr($_POST['url']); //Отфильтрованный адрес
$ads_date = time(); //Время
$ads_pos = filtr($_POST['pos']); //Отфильтрованная позиция
$ads_delete = filtr($_POST['delete']); //Отфильтрованная дата удаления

//Уведомления
if ($_GET['err'] == 1) {echo '<div class="success">Ссылка успешно отредактирована!</div>';} //Уведомление об успешном редактировании ссылки

//Удаление
if (isset($_GET['dell'])) {
//Проверка существования ссылки
$sql = "SELECT COUNT(*) FROM ".PREFIX."ads WHERE id='".intval($_GET['dell'])."'";
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {
//Удаление ссылки
$sqlm = $mysql->query('DELETE FROM `'.PREFIX.'ads` WHERE `id`="'.filtr($_GET['dell']).'" LIMIT 1');

echo '<div class="success">Ссылка удалена!</div>'; //Уведомление об успешном удалении ссылки
} //Конец процедуры удаления
else {echo '<div class="error">Такой ссылки нет!</div>';} //Уведомление об отсутствии ссылки
} //Конец проверки
} //Конец удаления

//Изменение
if(isset($_GET['update'])) {
if (isset($_POST['submit_update'])) {

//Ошибки
if (empty($ads_name)) {$error .= 'Не введено название!<br />';} //Уведомление об отсутствии названия
if (empty($ads_link)) {$error .= 'Не введен URL!<br />';} //Уведомление об отсутствии URL
if (isset($error)) {echo '<div class="error"><b>Возникли ошибки:</b>'.$error.'</div>';} //Вывод ошибок

//Изменение
if (!isset($error)) {
$sqlm = $mysql->query('UPDATE `'.PREFIX.'ads` SET `name`="'.filtr($_POST['name']).'", `link`="'.filtr($_POST['url']).'", `delete`="'.num($_POST['delete']).'", `pos`="'.num($_POST['pos']).'" WHERE `id`="'.intval($_GET['update']).'"');

header('Location: /?mod=system&act=ads_manager&err=1'); //Переадресация с уведомлением об успешном изменении
}} //Конец изменения

//Проверка наличия изменяемой ссылки 
$sql = "SELECT COUNT(*) FROM ".PREFIX."ads WHERE id='".intval($_GET['update'])."'";
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {

//Получение данных для ссылки
$query_update = $mysql -> query("SELECT * FROM `".PREFIX."ads` WHERE `id`='".filtr($_GET['update'])."' LIMIT 1;");
$data_update = $query_update -> fetch_assoc();

//Вывод формы
echo '
<form action="?mod=system&amp;act=ads_manager&amp;update='.filtr($_GET['update']).'" method="POST" class="main"> 
Название:<br /> 
<input name="name" type="text" value="'.filtr($data_update['name']).'" /><br />
URL (без http://):<br /> 
<input name="url" type="text" value="'.filtr($data_update['link']).'" /><br />  
Позиция:<br>
<select size="1" name="pos">
<option value="1">Верх</option>
<option value="2">Низ</option>
</select><br />
Кликов до удаления(0 - без ограничений):<br /> 
<input name="delete" type="text" value="'.num($data_update['delete']).'" /><br /> 
<input type="submit" name="submit_update" value="Изменить" /> 
</form>'; 

require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
exit; //Завершение скрипта
}
else {echo '<div class="error">Такой ссылки нет!</div>';} //Уведомление об отсутствии ссылки
}} //Конец проверки наличия ссылки

//Добавление ссылки
if (isset($_POST['submit'])) {

//Ошибки
if (empty($ads_name)) {$error .= 'Не введено название!<br />';} //Уведомление об отсутствии названия
if (empty($ads_link)) {$error .= 'Не введен URL!<br />';} //Уведомление об отсутствии URL
if (isset($error)) {echo '<div class="error"><b>Возникли ошибки:</b><br />'.$error.'</div>';} //Вывод ошибок

//Добавление
if (!isset($error)) {
$sqlm = $mysql->query('INSERT INTO `'.PREFIX.'ads` SET 
`name`="'.filtr($_POST['name']).'", 
`link`="'.filtr($_POST['url']).'", 
`pos`="'.num($_POST['pos']).'", 
`date`="'.time().'", 
`delete`="'.num($_POST['delete']).'"');


echo '<div class="success">Ссылка добавлена!</div>'; //Уведомление об успешном добавлении
}} //Конец добавления ссылки

//Вывод верхних ссылок
echo '<div class="menu">';
echo '<b>Верх:</b><br />';
//Проверка наличия ссылок
$sql = "SELECT COUNT(*) FROM ".PREFIX."ads WHERE pos='1'";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {
//Вывод ссылок
$query_v_link = $mysql -> query("SELECT * FROM `".PREFIX."ads` WHERE `pos`='1' ORDER BY `id` DESC;");
$i = 0;
while ($data_v = $query_v_link -> fetch_assoc()) {
++$i;
echo '<b>'.filtr($data_v['name']).'</b> ('.trytime($data_v['date']).')<br />
url: '.filtr($data_v['link']).'<br />
Всего: <b>'.num($data_v['click']).'</b> / Ост: ';
if ($data_v['delete'] == 0 ) {echo '<b>Неогр.</b>';}
else {
$ost = $data_v['delete'] - $data_v['click'];
}
echo '<b>'.$ost.'</b><br /><a href="/?mod=system&amp;act=ads_manager&dell='.num($data_v['id']).'">Удалить</a> / <a href="/?mod=system&amp;act=ads_manager&update='.num($data_v['id']).'">Изменить</a><hr />';}
}
else {echo '<div class="error">Ссылок нет</div>';} //Уведомление об отсутствии ссылок
} //Конец вывода

//Вывод нижних ссылок
echo '<b>Низ:</b><br />';
//Проверка наличия ссылок
$sql = "SELECT COUNT(*) FROM ".PREFIX."ads WHERE pos='2'";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {
//Вывод ссылок
$query_n_link = $mysql -> query("SELECT * FROM `".PREFIX."ads` WHERE `pos`='2' ORDER BY `id` DESC;");
$i = 0;
while ($data_n = $query_n_link -> fetch_assoc()) {
++$i;
echo '<b>'.filtr($data_n['name']).'</b> ('.trytime($data_n['date']).')<br />
url: '.filtr($data_n['link']).'<br />
Всего: <b>'.num($data_n['click']).'</b> / Ост: ';
if ($data_n['delete'] == 0 ) {echo '<b>Неогр.</b>';}
else {
$ost2 = $data_n['delete'] - $data_n['click'];
}
echo '<b>'.$ost2.'</b><br /><a href="/?mod=system&amp;act=ads_manager&dell='.num($data_n['id']).'">Удалить</a> / <a href="/?mod=system&amp;act=ads_manager&update='.num($data_n['id']).'">Изменить</a><hr />';
}
}
else {echo '<div class="error">Ссылок нет</div>';} //Уведомление об отсутствии ссылок
}
echo '</div>';

//Вывод формы для добавления
echo '<div class="text_form_all">
<form action="?mod=system&amp;act=ads_manager" method="POST"> 
Название:<br /> 
<input name="name" type="text" class="text_form_input"/><br />
URL (без http://):<br /> 
<input name="url" type="text" class="text_form_input"/><br />  
Позиция:<br>
<select size="1" name="pos" class="text_form_select">
<option value="1">Верх</option>
<option value="2">Низ</option>
</select><br />
Кликов до удаления(0 - без ограничений):<br /> 
<input name="delete" type="text" value="0" class="text_form_input"/><br /> 
<input type="submit" name="submit" value="Добавить" class="text_form_submit"/> 
</form></div>'; 

//Навигация
echo '<a class="touch" href="/?mod=system">'.icons('return.png','16|16').' В админ-панель</a>';
require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
} //Конец проверки прав доступа

?>
